@echo off
SetLocal EnableDelayedExpansion

if "%*"=="" (
	set /p "REF_ID=Please, enter Reference ID: "
)

set KSOPS=%~dp0\keystoreops.cmd
call "%KSOPS%" sourceFile settings-pk

if defined REF_ID (
	set CSRFILE=%PK_ALIAS%_!REF_ID!.csr
) else (
	set CSRFILE=%PK_ALIAS%.csr
)

rem if exist tmpl\*.blah (
rem echo ---
rem )

if exist tmpl\*.jks (
	cd tmpl
	set cnt=0
	echo Found JKS template files:
	echo --
	for %%f in (*.jks) do (
		echo %%f
		set JKS_TMPL=%%f
		set /a "cnt+=1"
	)
	echo --
	cd ..

	if !cnt! EQU 1 (
		set /p "USE_TMPL=Do you want to use [!JKS_TMPL!] template file? [Y/n]: "
		if /I "!USE_TMPL!" NEQ "N" (
			copy "tmpl\!JKS_TMPL!" "%CERTDIR%\%KEYSTORE%"
			cd %CERTDIR%
			call "%KSOPS%" changeKSPassword %TMPLPASS% %STOREPASS%
		)
	) else (
		set /p "USE_TMPL=Please, provide JKS template file to use OR press 'enter' to continue: "
		if defined USE_TMPL (
			copy "tmpl\!USE_TMPL!" "%CERTDIR%\%KEYSTORE%"
			cd %CERTDIR%
			call "%KSOPS%" changeKSPassword %TMPLPASS% %STOREPASS%
		)
	)
)

cd %CERTDIR%

> "%LOGDIR%\%~n0.log" 2>&1 (

	REM Generating Private Key
	call "%KSOPS%" generateKey "%PK_ALIAS%" "%PK_DN%" "%PK_VALIDITY%" "%PK_EXT%"

	REM Generating CSR
	call "%KSOPS%" generateCSR "%PK_ALIAS%" "%PK_DN%" "%PK_VALIDITY%" "%PK_EXT%" "%CSRFILE%"

	REM Print CSR file
	call "%KSOPS%" printCSR "%CSRFILE%"
)
type "%LOGDIR%\%~n0.log"

cd "%~dp0"

pause 
(
	EndLocal
	if not "%*"=="" (
		set "%~1=%CERTDIR%\%CSRFILE%"
	)
)
exit /b