@echo off
SetLocal EnableDelayedExpansion

set KSOPS=%~dp0\keystoreops.cmd
call "%KSOPS%" sourceFile settings-pk


cd %CERTDIR%

rem Listing certs
echo "List of existing keys in the store"
call "%KSOPS%" listCerts


if "%1"=="" (
	echo Make sure the certificate file provided by eHealthOntario is located under 'certs' subdirectory
	set /p "_CERTNAME=Please, enter root CA cert filename (including extension, but without path) [%ROOTCA_CERT%]: "
	if defined _CERTNAME	set ROOTCA_CERT=!_CERTNAME!

	call "%KSOPS%" getName "!ROOTCA_CERT!" ROOTCA_ALIAS
	set /p "_ROOTCA_ALIAS=Please, enter alias under which you want to import this root CA certificate [!ROOTCA_ALIAS!]: "
	if defined _ROOTCA_ALIAS	set ROOTCA_ALIAS=!_ROOTCA_ALIAS!
	
) else (
	if not defined ROOTCA_CERT (
		set /p "ROOTCA_CERT=Please, enter root CA cert filename (including extension, but without path): "
	)

	REM call "%KSOPS%" getFQFN "%ROOTCA_CERT%" ROOTCA_CERT

	echo ROOTCA_CERT=!ROOTCA_CERT!

	call "%KSOPS%" getName "!ROOTCA_CERT!" ROOTCA_ALIAS
	
	echo ROOTCA_ALIAS=!ROOTCA_ALIAS!
)


> "%LOGDIR%\%~n0.log" 2>&1 (

	if not exist "%ROOTCA_CERT%" (
		echo "[%ROOTCA_CERT%] file not found!"
	) else (
		rem Importing root certificate
		call "%KSOPS%" importCert "%ROOTCA_ALIAS%" "%ROOTCA_CERT%"
		call "%KSOPS%" printDetails "%ROOTCA_ALIAS%"
		
		rem Listing certs
		echo "List of existing keys in the store after import"
		call "%KSOPS%" listCerts
	)

)

type "%LOGDIR%\%~n0.log"

cd "%~dp0"

pause
EndLocal
exit /b

