@echo off
SetLocal EnableDelayedExpansion

set KSOPS=%~dp0\keystoreops.cmd
call "%KSOPS%" sourceFile settings-pk

if [%1] == [] (
	echo Make sure the certificate file provided by eHealthOntario is located under 'certs' subdirectory
	set /p "_CERTNAME=Please, enter file name of the private cert undersigned by eHealthOntario (including extension, but without path) [%PK_CERT%]: "
	if defined _CERTNAME	set PK_CERT=!_CERTNAME!
)

cd %CERTDIR%

> "%LOGDIR%\%~n0.log" 2>&1 (

	:: Importing undersigned certificate
	if exist "!PK_CERT!" (
		call "%KSOPS%" importCert "%PK_ALIAS%" "!PK_CERT!"
		call "%KSOPS%" printDetails "%PK_ALIAS%"
	) else (
		echo "[!PK_CERT!] file not found!"
	)
	
	:: Listing certs
	call "%KSOPS%" listCerts

)

type "%LOGDIR%\%~n0.log"

cd "%~dp0"

pause
EndLocal
exit /b

