@echo off
SetLocal EnableDelayedExpansion

set PK_CN=undefined
set KSOPS=%~dp0\keystoreops.cmd
call "%KSOPS%" sourceFile settings-pk


set /p "_KEYSTORE=Enter keystore name, including extension [%KEYSTORE%]: "
if defined _KEYSTORE	set KEYSTORE=%_KEYSTORE%

for /r "%~dp0" %%G in ("%KEYSTORE%*") do (
	echo File found [%%G]
	set KEYSTORE=%%G
	goto :continue
)
:continue

set KSPATH=
call :getPath "%KEYSTORE%" KSPATH
call :getFileName "%KEYSTORE%" KEYSTORE

set /p "PASSWORD=Enter keystore password [%STOREPASS%]: "
if defined PASSWORD	set STOREPASS=%PASSWORD%

echo Changing directory to [%KSPATH%]
cd "%KSPATH%"

:while1
	set "ALIAS="
	set "V1="
	set "TO_ALIAS="

	:: Listing certs
	call "%KSOPS%" listCerts

	:while2
	set /p "V1=Do you want to: Delete Key [d], Rename Key [r], Show Key Details [v], Quit [q]:
	if not defined V1	goto :while2

	if /i %V1%==q		goto :end
	
	set /p "ALIAS=Enter key name [copy&paste from the list above]: "
		
	if /i %V1%==d		call "%KSOPS%" deleteKey "%ALIAS%"
	if /i %V1%==v		call "%KSOPS%" printDetails "%ALIAS%"

	if /i %V1%==r (
		set /p "TO_ALIAS=Enter new key name: "
		call "%KSOPS%" renameKey "%ALIAS%" "%TO_ALIAS%"
	)

goto :while1

:end

cd "%~dp0"

pause
EndLocal
exit /b


:getPath [fqfn] [path]
	set "%~2=%~dp1"
exit /b
	

:getFileName [fqfn] [fn]
	set "%~2=%~nx1"
exit /b
