@echo off
:: --------------
:: -- UPDATE SETTINGS BELOW. IMPORTANT: DO __NOT__ !!! put spaces before or after '=' sign
:: -- KEYTOOL: is part of Java SDK / JRE installation and would normally be located
:: --          under 'C:\Program Files\Java' or 'C:\Program Files (x86)\Java'
:: --------------

:: -- CHANGE FOR YOUR ENVIRONMENT


set KEYTOOL=keytool.exe

rem set "PK_CN="

if not defined PK_CN (
	set /p "PK_CN=Enter cert CN: "
)

set KEYSTORE="%PK_CN%.jks"
:: DEFAULT PASSWORD IS BELOW - UPDATE PASSWORD VIA changePassword.cmd script
:: Updated password will be stored under %CERTDIR%\storepass.txt
set STOREPASS="1234567"
set TMPLPASS="changeme"

set PK_ALIAS=%PK_CN%
set PK_CERT=%PK_CN%.cer


:: -- DEFAULT SETTINGS BELOW - work just fine for most setup
if defined REF_ID (
	set PK_DN=CN=%REF_ID%, OU = Applications, OU = eHealthUsers, OU = Subscribers, DC = subscribers, DC = ssh
) else (
	set PK_DN=CN=%PK_CN%, OU = Applications, OU = eHealthUsers, OU = Subscribers, DC = subscribers, DC = ssh
)	
	
set PK_EXT=-ext BC=ca:true -ext KU=digitalSignature,dataEncipherment -ext EKU=serverAuth,clientAuth

set /a PK_VALIDITY=3 * 365

set LOGDIR=%~dp0\keystores\%PK_CN%\logs
set CERTDIR=%~dp0\keystores\%PK_CN%\certs
set DEST_KEYSTORE=%PK_CN%.p12

if not exist "%LOGDIR%"		mkdir "%LOGDIR%"  >nul 2>&1
if not exist "%CERTDIR%"	mkdir "%CERTDIR%"  >nul 2>&1
	 
if not exist "%CERTDIR%\storepass.txt" ( @echo %STOREPASS%> "%CERTDIR%\storepass.txt"
) else                                 (  set /p STOREPASS=<"%CERTDIR%\storepass.txt" )