@echo off
:: --------------
:: -- UPDATE SETTINGS BELOW. IMPORTANT: DO __NOT__ !!! put spaces before or after '=' sign
:: -- KEYTOOL: is part of Java SDK / JRE installation and would normally be located
:: --          under 'C:\Program Files\Java' or 'C:\Program Files (x86)\Java'
:: --------------

:: -- CHANGE FOR EACH REQUEST or ENVIRONMENT
set KEYTOOL=keytool.exe

::set PK_CN=myroot.ca
if not defined PK_CN (
	set /p "PK_CN=Enter root CA: "
)

set KEYSTORE="%PK_CN%.jks"
set STOREPASS="changeme"

set PK_ALIAS=%PK_CN%
set PK_CERT=%PK_ALIAS%.cer

:: -- DEFAULT SETTINGS BELOW - work just fine for most setup
set PK_DN=CN=%PK_CN%, OU=AMS, O=eHealth Ontario, L=Toronto, ST=Ontario, C=CA
set PK_EXT=-ext BC=ca:true -ext KU=keyCertSign,digitalSignature

set /a PK_VALIDITY=10 * 365

set LOGDIR=%~dp0\keystores\%PK_CN%\logs
set CERTDIR=%~dp0\keystores\%PK_CN%\certs
set DEST_KEYSTORE=%PK_CN%.p12

if not exist "%LOGDIR%"		mkdir "%LOGDIR%"  >nul 2>&1
if not exist "%CERTDIR%"	mkdir "%CERTDIR%"  >nul 2>&1


set PUBLIC_DN=CN=%PUBLIC_CN%, OU=Applications, OU=eHealthUsers, OU=Subscribers, DC=subscribers, DC=ssh
set PUBLIC_EXT=-ext BC=ca:true -ext KU=digitalSignature,dataEncipherment -ext EKU=serverAuth,clientAuth
set /a PUBLIC_VALIDITY=3 * 365


set EHO_ROOTCA_ALIAS=%PK_CN%
set EHO_ROOTCA_CERT=keystores\%EHO_ROOTCA_ALIAS%\certs\%EHO_ROOTCA_ALIAS%.cer

