@echo off
SetLocal EnableDelayedExpansion

set KSOPS=%~dp0\keystoreops.cmd

if not defined CSRFILE (
	set /p "CSRFILE=Please, enter CSR filename (including path, relative to directory you started script from): "
	call "%KSOPS%" getFQFN "!CSRFILE!" CSRFILE
)

if not defined PUBLIC_CN (
	call "%KSOPS%" getFileName "!CSRFILE!" _PUBLIC_CN
	set /p "PUBLIC_CN=Please, enter CN for the cert to be generated [!_PUBLIC_CN!]: "
	if not defined PUBLIC_CN	set PUBLIC_CN=!_PUBLIC_CN!
)

echo CSRFILE=!CSRFILE!
echo PUBLIC_CN=!PUBLIC_CN!

set CERTFILE=!PUBLIC_CN!.cer

call "%KSOPS%" sourceFile settings-rootca

echo Switching to: %CERTDIR%

cd "%CERTDIR%"

call "%KSOPS%" getPath "!CSRFILE!" CSR_CERTDIR

echo CSR Directory: %CSR_CERTDIR%

> "%LOGDIR%\%~n0-%PUBLIC_CN%.log" 2>&1 (

	:: Signing CSR
	call "%KSOPS%" signCSR "%PK_ALIAS%" "%CSRFILE%" "%PUBLIC_VALIDITY%" "%CSR_CERTDIR%\%CERTFILE%" "%PUBLIC_DN%" "%PUBLIC_EXT%"

	:: Print out generated certs
	call "%KSOPS%" printCert "%CSR_CERTDIR%\%CERTFILE%"

	:: Generating Public ROOT CA
	call "%KSOPS%" exportCert "%PK_ALIAS%" "%CSR_CERTDIR%\%PK_ALIAS%.cer"
	
	:: Print out generated certs
	call "%KSOPS%" printCert "%CSR_CERTDIR%\%PK_ALIAS%.cer"

	:: Copy eHealthOntario Root CA
	copy "%~dp0\%EHO_ROOTCA_CERT%" "%CSR_CERTDIR%\"
	
)

type "%LOGDIR%\%~n0-%PUBLIC_CN%.log"

cd "%~dp0"

pause
(
	EndLocal
	if not "%*"=="" (
		set "%~1=%CERTDIR%\%CERTFILE%"
		set "%~2=%CERTDIR%\%PK_ALIAS%.cer"
	)
)
exit /b
